var pasteip = {
	init: function() {
		var menu = document.getElementById('contentAreaContextMenu');
		menu.addEventListener('popupshowing', pasteip.showHide, false);
	},
// Instead of setting up complex checking for a textbox, let's just show the item if the "Undo" item is shown
	showHide: function() {
		document.getElementById('context-pasteip').hidden = document.getElementById('context-undo').hidden;
		document.getElementById('context-pasteua').hidden = document.getElementById('context-undo').hidden;
	},
// Thanks to mozillazine forum user Torisugari for pointing me to this XPCOM interface as an alternative to using Java!
	pasteAddress: function() {
		var DNSService=Components.classes["@mozilla.org/network/dns-service;1"].getService(Components.interfaces.nsIDNSService);
// After 11 September we can't get the IP address directly
//		var theAddress = DNSService.myIPAddress;
// So we'll get the hostname and resolve it.
		var DNSRecord=DNSService.resolve(DNSService.myHostName, true);
// This may return more than one IP, but we're just using the first one. I could declare theAddress as an 
// array, and populate it using the push method, but then which one do you put in the textbox?
		var theAddress = DNSRecord.getNextAddrAsString();
		var theBox = document.commandDispatcher.focusedElement;
		theBox.value = theBox.value + theAddress;
	},
	pasteUA: function() {
		var ua = navigator.userAgent;
		var theBox = document.commandDispatcher.focusedElement;
		theBox.value = theBox.value + ua;
	}
}
window.addEventListener('load', pasteip.init, false); 
